/**********************************************************************/
/*                                                                    */
/*              dummy.c    gedo PLUG specified routine                */
/*                                                                    */
/*                by K.sugiura   Ver 0.95 for GEDO of LINUX           */
/*                                                                    */
/**********************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <memory.h>
#include <malloc.h>
#include <fcntl.h>
#include <ctype.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <errno.h>
#include <unistd.h>

#include "plug.h"

int Gui = NOGUI;

/********************** configure desciption ******************/
char *Version = { "GEDO plugs by K.Sugiura  ver 1.0" };
char *Spec = 	{ "dummy" };
char *Comment = { "dummy selecter only reports positions" };

PLUGITEM Item;
int ItemNum = 0;
struct Tags Tag[];
int TagNum = 0;
DEFAULTSTATUS;
/********************** description end ********************/


/**********************************************************************/
/*                                                                    */
/*             function gedo_select()                                 */
/*                                                                    */
/*             struct File *file: Recieved Message from GEDO          */
/*                                                                    */
/*             return  int: 0=Success other=Fail(ErrorNO)             */
/*                                                                    */
/*             function: EXEC the selecter                            */
/*                                                                    */
/**********************************************************************/
int gedo_select( struct File *file )
{
	/* it is dummy selecter only reports selected positions */
	return( 0 );
}

/**********************************************************************/
/*                                                                    */
/*             function config()                                      */
/*                                                                    */
/*             struct File *file: Recieved Message from GEDO          */
/*                                                                    */
/*             return  int: 0=Success other=Fail(ErrorNO)             */
/*                                                                    */
/*             function:CONFIGURE the PLUG at Transaction CONFIG      */
/*                                                                    */
/**********************************************************************/
int config( struct File *file )
{
	char *str;

	str = file->mes->u.data;
	if( str[0] == '\0' ){
		printf( "dummy:no configration parameter\n" );
		str[0] = '\0';
		return( 0 );
	} else {
		return( line_config( file ) );
	}
}
