/****************************************************************************/
/*                                                                          */
/*                Graphic EDitor Omniotent(GEDO)                            */
/*                xstring.h  -- header file for text.c xstring.c kanji.c    */
/*                             and strcom.c                                 */
/*                                  by K.Sugiura ver 0.95                   */
/*                                                                          */
/****************************************************************************/

/* KANJI code symbol */
#define JIS	0
#define EUC	1
#define SJIS	2

/* mergin of the create image */
#define MERGIN  5

#define TEXTMAX	256	/* text length maximum */
#define FONTMAX 256


struct fontimage {	/* font image transaction file */
	int flag;	/* errorcode */
	int width;	/* font image width */
	int height;	/* font image height */
	char jfont[FONTMAX];	/* available japanese fontname */
	char efont[FONTMAX];	/* available ascii fontname */
	char data[0];		/* font images */
};

typedef unsigned char  WSTRING;
/* WSTRING is the 2byte unsigned char  to express ASCII and Kanji.
  It's expressions.
 
ASCII		00 xx
KANJI		xx yy  by JIS Code without ESC, KIN, KOUT, K2
End of line     00 0a
End of string   00 00

Converted by kanji_set(), and used to display at Draw_str()  */

void kanji_set( unsigned char *text, int mode, unsigned char *out  );




